groovy-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <rus...@winder.org.uk>
Subject Re: New release of JCSP - (part of GPars) and groovyJCSP
Date Thu, 14 Jun 2018 11:06:16 GMT
Jon,

On Thu, 2018-05-31 at 15:06 +0000, Kerridge, Jon wrote:
> Russel
> 
> I have yet to create a version of the library that is compiled for anything
> other than groovy-2.4.12 and jdk8.
> The former because in other work I am doing I cannot use any version above
> groovy2.4.12 due to a bug I found.  JDK 8 because I am lazy and waiting for
> JDK 11 before doing any further recompilations in preparation for teaching!!

I made the org.jcsp → jcsp change in the imports and all the code seems to
compile with JDK10. There are some non-CSP problems to fix before I can run
the tests, but it is looking good.

Is the CSP stuff in GPars ancient compared to what you have now? If it is,
should we contemplate a merge to update everything in GPars?

[…]
-- 
Russel.
===========================================
Dr Russel Winder      t: +44 20 7585 2200
41 Buckmaster Road    m: +44 7770 465 077
London SW11 1EN, UK   w: www.russel.org.uk

Mime
View raw message